routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomeController@index')->name('home.index');

Route::get('login/{driver}', 'Auth\LoginController@redirectToProvider')->name('login.provider');
Route::get('login/{driver}/callback', 'Auth\LoginController@handleProviderCallback')->name('login.provider_callback');
Auth::routes();

// admin page

Route::prefix('/admin')->group(function(){
	
	// admin dashboard
	Route::get('/', function(){
		return redirect()->route('dashboard');
	});

	Route::get('/dashboard', function(){
		return view('backend.pages.dashboard');
	})->name('dashboard')->middleware(['auth', 'role:admin']);


	// media
	Route::prefix('media')->group(function(){
		Route::post('uploads', 'MediaController@uploads')->name('media.uploads');
		Route::get('get_data', 'MediaController@getData')->name('media.get_data');
		Route::get('select_data/{id}', 'MediaController@selectData')->name('media.get_data');
	});

	Route::resource('/media', 'MediaController');

	// product
	Route::get('/product/get_data', 'ProductController@getData')->name('product.get_data');
	Route::resource('/product', 'ProductController');

	// category
	Route::get('/category/get_category', 'CategoryController@getCategory');
	Route::get('/category/get_parent', 'CategoryController@getParent');
	Route::resource('/category', 'CategoryController');

	// tags
	Route::resource('/tag', 'TagController');

	// order
	Route::get('/order/get_data', 'OrderController@getData')->name('order.get_data');
	Route::resource('/order', 'OrderController');

	// coupon
	Route::get('/coupon/get_data', 'CouponController@getData')->name('coupon.get_data');
	Route::resource('/coupon', 'CouponController');

	// comments
	Route::get('/review/get_data', 'CommentController@getData')->name('comment.get_data');
	Route::resource('/review', 'CommentController');

	// menu
	Route::get('/menu/get_data', 'MenuController@getData')->name('menu.get_data');
	Route::post('/menu/bulk_edit', 'MenuController@bulkEdit')->name('menu.bulk_edit');
	Route::get('/menu/get_menu', 'MenuController@getMenu')->name('menu.get_menu');
	Route::resource('/menu', 'MenuController');

	// user
	Route::post('/user/upload', 'UserController@upload');
	Route::resource('/user', 'UserController');

	// role
	Route::resource('/role', 'RoleController');

	// permission
	Route::resource('/permission', 'PermissionController');

	// widget
	Route::resource('/widget', 'WidgetController');


});

// Route::get('/home', 'HomeController@index')->name('home');

// cart
Route::post('/cart/bulk_update', 'CartController@bulkUpdate')->name('cart.bulk_update');
Route::get('/cart/remove/{hash}', 'CartController@remove')->name('cart.remove');
Route::get('/cart/coupon', 'CartController@coupon')->name('cart.coupon');
Route::resource('/cart', 'CartController');

// currency
Route::get('currency/{type}', 'CurrencyController@set');

// shop
Route::resource('/shop', 'ShopController');

// review

Route::resource('/review', 'ReviewController');

// shipping
Route::post('/shipping/get_services', 'ShippingController@getServices')->name('shipping.get_shipping');
Route::resource('/shipping', 'ShippingController');

// checkout
Route::get('/checkout/status', 'CheckoutController@status')->name('checkout.status');
Route::get('/checkout/payment', 'CheckoutController@payment')->name('checkout.payment');
Route::resource('/checkout', 'CheckoutController');

// user memeber
Route::get('/user', function(){
	return redirect()->route('user.dashboard');
});

Route::get('/dashboard', function(){
	return redirect()->route('user.dashboard');
});

Route::prefix('/user')->group(function(){
	Route::get('/dashboard', 'MemberController@dashboard')->name('user.dashboard');
	Route::get('/order', 'MemberController@order')->name('user.order');
	Route::get('/wishlist', 'MemberController@wishlist')->name('user.wishlist');
	Route::get('/reviews', 'MemberController@reviews')->name('user.reviews');
	Route::put('/profile/{id}', 'MemberController@profileUpdate')->name('user.profile_update');
	Route::get('/profile', 'MemberController@profile')->name('user.profile');
	Route::get('/settings', 'MemberController@settings')->name('user.settings');
	Route::post('/settings/change_password', 'MemberController@changePassword')->name('user.change_password');
	Route::get('/settings/otp', 'MemberController@otp')->name('user.otp');
	Route::post('/settings/otp_submit', 'MemberController@otpSubmit')->name('user.otp_submit');
	Route::get('/settings/test', 'MemberController@test')->name('user.test');
});

Route::get('/api_test', 'ApiController@index');
Route::get('/api_test/notification', 'ApiController@notification');
Route::get('/api_test/send_message', 'ApiController@sendMessage');
Route::get('/api_test/helio', 'ApiController@helio');

// product details
Route::get('/{slug}', 'ShopController@details')->name('shop.details');

app/Coupon.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Coupon extends Model
{
    protected $table = 'tb_m_coupons';
}

app/Http/Controllers/CouponController.php
<?php

/*

@author: Razaq Hakim
@created at: Fri, Nov 24 2017

*/

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Product;
use App\Category;
use App\Coupon;
use DataTables;

class CouponController extends Controller
{

    public function __construct()
    {
        $this->middleware(['auth', 'role:admin']);
    }
    
    public function index()
    {
    	return view('backend.pages.coupon.index');
    }

    public function create()
    {

    	$products = Product::get();
    	$categories = Category::get();

    	$data = [

    		'products' => $products,
			'categories' => $categories,

    	];

    	return view('backend.pages.coupon.create')
    			->with($data);
    }

    public function store(Request $request)
    {
    	$coupon = new Coupon;
    	$coupon->code = $request->code;
		$coupon->amount = !empty($request->amount) ? str_replace(',', '', $request->amount) : null;
		$coupon->type = $request->type;
		$coupon->valid_thru = $request->valid_thru;
		$coupon->products = !empty($request->products) ? implode(',', $request->products) : null;
		$coupon->categories = !empty($request->categories) ? implode(',', $request->categories) : null;
		$coupon->exclude_products = !empty($request->exclude_products) ? implode(',', $request->exclude_products) : null;
		$coupon->exclude_categories = !empty($request->exclude_categories) ? implode(',', $request->exclude_categories) : null;
		$coupon->limit_user = $request->limit_user;
		$coupon->limit_coupon = $request->limit_coupon;
		$coupon->limit_item = $request->limit_item;
		$coupon->minimum_spend = !empty($request->minimum_spend) ? str_replace(',', '', $request->minimum_spend) : null;
		$coupon->maximum_spend = !empty($request->maximum_spend) ? str_replace(',', '', $request->maximum_spend) : null;
		$coupon->individual_use_only = $request->individual_use_only;
		$coupon->exclude_sale_items = $request->exclude_sale_items;
		$coupon->allow_free_shipping = $request->allow_free_shipping;
		$coupon->save();

		$res = ['title' => 'Success', 'type' => 'success', 'message' => 'Data has been saved successfuly!'];

		return redirect()
				->route('coupon.index')
				->with($res);
    }

    public function edit($id)
    {
    	$products = Product::get();
    	$categories = Category::get();
    	$coupon = Coupon::find($id);

    	$data = [

    		'products' => $products,
			'categories' => $categories,
			'coupon' => $coupon

    	];

    	return view('backend.pages.coupon.edit')
    			->with($data);
    }


    public function update(Request $request, $id)
    {
    	$coupon = Coupon::find($id);
    	$coupon->code = $request->code;
		$coupon->amount = !empty($request->amount) ? str_replace(',', '', $request->amount) : null;
		$coupon->type = $request->type;
		$coupon->valid_thru = $request->valid_thru;
		$coupon->products = !empty($request->products) ? implode(',', $request->products) : null;
		$coupon->categories = !empty($request->categories) ? implode(',', $request->categories) : null;
		$coupon->exclude_products = !empty($request->exclude_products) ? implode(',', $request->exclude_products) : null;
		$coupon->exclude_categories = !empty($request->exclude_categories) ? implode(',', $request->exclude_categories) : null;
		$coupon->limit_user = $request->limit_user;
		$coupon->limit_coupon = $request->limit_coupon;
		$coupon->limit_item = $request->limit_item;
		$coupon->minimum_spend = !empty($request->minimum_spend) ? str_replace(',', '', $request->minimum_spend) : null;
		$coupon->maximum_spend = !empty($request->maximum_spend) ? str_replace(',', '', $request->maximum_spend) : null;
		$coupon->individual_use_only = $request->individual_use_only;
		$coupon->exclude_sale_items = $request->exclude_sale_items;
		$coupon->allow_free_shipping = $request->allow_free_shipping;
		$coupon->save();

		$res = ['title' => 'Success', 'type' => 'success', 'message' => 'Data has been updated successfuly!'];

		return redirect()
				->route('coupon.index')
				->with($res);
    }

    public function show($id)
    {

    	$coupon = Coupon::find($id);

    	$data = [

    		'coupon' => $coupon

    	];

    	return view('backend.pages.coupon.show')
    			->with($data);
    }

    public function destroy($id)
    {
    	$coupon = Coupon::find($id);
    	$coupon->delete();

    	$res = ['title' => 'Success', 'type' => 'success', 'message' => 'Data has been deleted successfuly!'];

    	return response()->json($res);

    }

    public function getData(Request $request)
    {
    	$coupon = Coupon::get();

    	return DataTables::of($coupon)

    	->rawColumns(['options'])

    	->addColumn('type', function($data){

    		return $data->type == 1 ? 'Percentage' : 'Fixed';

    	})

    	->addColumn('amount', function($data){
    		return number_format($data->amount, 2, '.', ',');
    	})

    	->addColumn('options', function($data){

    		return '<a href="'.route('coupon.edit', $data->id).'" class="btn btn-primary btn-xs">
    					Edit
					</a>
    				<button class="btn btn-danger btn-xs" onclick="on_delete('.$data->id.')">Delete</button>
    				<a class="btn btn-info btn-xs" href="'.route('coupon.show', $data->id).'">
    					View
					</a>';
    	})

    	->make(true);
    }
}

resources/views/backend/pages/coupon/create.blade.php
@extends('backend.layouts.master')
@section('title')
Add Coupon
@endsection
@section('content')

<div class="section-heading">
	<h1 class="page-title">Add Coupon</h1>
	<div class="pull-right">
		<a href="{{ route('coupon.index') }}" class="btn btn-primary">Back</a>
	</div>
</div>


<form action="{{ route('coupon.store') }}" method="post" id="form-add-edit-coupon">
	{{ csrf_field() }}
	<div class="row">
		<div class="col-md-12">
			<div class="panel-content">
				<div class="col-md-6">
					<div class="form-group">
						<label class="control-label">Coupon Code <span class="text-danger">*</span></label>
						<input type="text" name="code" placeholder="Unique Code" class="form-control" required="required">
						<span class="help-block"></span>
					</div>

					<div class="form-group">
						<label class="control-label">Amount <span class="text-danger">*</span></label>
						<input type="text" name="amount" placeholder="0.00" class="form-control autonumeric" required="required">
						<span class="help-block"></span>
					</div>

					<div class="form-group">
						<label class="control-label">Type <span class="text-danger">*</span></label>
						<select name="type" class="form-control">
							<option value="1">Percentage</option>
							<option value="2">Fixed</option>
						</select>
						<span class="help-block"></span>
					</div>

					<div class="form-group">
						<label class="control-label">Valid Thru</label>
						<input type="text" name="valid_thru" placeholder="yyyy-mm-dd" class="form-control datepicker">
					</div>
				</div>

				<div class="col-md-6">
					<div class="form-group">
						<label class="control-label">products</label>
						<select name="products[]" class="select2 form-control" multiple="multiple" data-placeholder="Specific Categories">
							@foreach ($products as $data_product)
							<option value="{{ $data_product->id }}">{{ $data_product->name }}</option>
							@endforeach
						</select>
					</div>

					<div class="form-group">
						<label class="control-label">categories</label>
						<select name="categories[]" class="select2 form-control" multiple="multiple" data-placeholder="Specific Categories Exception">
							@foreach ($categories as $data_category)
							<option value="{{ $data_category->id }}">{{ $data_category->name }}</option>
							@endforeach
						</select>
					</div>

					<div class="form-group">
						<label class="control-label">Exclude Products</label>
						<select name="exclude_products[]" class="select2 form-control" multiple="multiple" data-placeholder="Specific Products">
							@foreach ($products as $data_product)
							<option value="{{ $data_product->id }}">{{ $data_product->name }}</option>
							@endforeach
						</select>
					</div>

					<div class="form-group">
						<label class="control-label">Exclude Categories</label>
						<select name="exclude_categories[]" class="select2 form-control" multiple="multiple" data-placeholder="Specific Products Exception">
							@foreach ($categories as $data_category)
							<option value="{{ $data_category->id }}">{{ $data_category->name }}</option>
							@endforeach
						</select>
					</div>

				</div>

				<div class="col-md-12">
					<hr>
				</div>

				<div class="col-md-4">
					<div class="form-group">
						<label class="control-label">Limit User</label>
						<input type="text" name="limit_user" class="form-control number" placeholder="0">
					</div>

					<div class="form-group">
						<label class="control-label">Limit Coupon</label>
						<input type="text" name="limit_coupon" class="form-control number" placeholder="0">
					</div>

					<div class="form-group">
						<label class="control-label">Limit Item</label>
						<input type="text" name="limit_item" class="form-control number" placeholder="0">
					</div>
				</div>

				<div class="col-md-4">
					<div class="form-group">
						<label class="control-label">Min Spend</label>
						<input type="text" name="minimum_spend" class="form-control autonumeric" placeholder="0.00">
					</div>

					<div class="form-group">
						<label class="control-label">Max Spend</label>
						<input type="text" name="maximum_spend" class="form-control autonumeric" placeholder="0.00">
					</div>

				</div>

				<div class="col-md-4">

					<label class="fancy-checkbox custom-bgcolor-green">
						<input type="checkbox" name="individual_use_only" value="1">
						<span>Individual Use Only</span>
					</label>
					<br>
					<label class="fancy-checkbox custom-bgcolor-green">
						<input type="checkbox" name="exclude_sale_items" value="1">
						<span>Exclude Sale Items</span>
					</label>
					<br>
					<label class="fancy-checkbox custom-bgcolor-green">
						<input type="checkbox" name="allow_free_shipping" value="1">
						<span>Allow Free Shipping</span>
					</label>

				</div>

				<div class="col-md-12">
					<hr>
					<div class="pull-right">
						<button class="btn btn-default" type="reset">Reset</button>
						<button class="btn btn-primary" type="submit">Save</button>
					</div>
				</div>

			</div>
		</div>
	</div>
</form>

@endsection

@push('js')
<script src="{{ url('assets/backend/pages/js/coupon-add-edit.js') }}"></script>
@endpush

resources/views/backend/pages/coupon/edit.blade.php
@extends('backend.layouts.master')
@section('title')
Edit Coupon
@endsection
@section('content')

<div class="section-heading">
	<h1 class="page-title">Edit Coupon</h1>
	<div class="pull-right">
		<a href="{{ route('coupon.index') }}" class="btn btn-primary">Back</a>
	</div>
</div>


<form action="{{ route('coupon.update', $coupon->id) }}" method="post" id="form-add-edit-coupon">
	{{ csrf_field() }}
	{{ method_field('PUT') }}
	<div class="row">
		<div class="col-md-12">
			<div class="panel-content">
				<div class="col-md-6">
					<div class="form-group">
						<label class="control-label">Coupon Code <span class="text-danger">*</span></label>
						<input type="text" name="code" value="{{ $coupon->code }}" placeholder="Unique Code" class="form-control" required="required">
						<span class="help-block"></span>
					</div>

					<div class="form-group">
						<label class="control-label">Amount <span class="text-danger">*</span></label>
						<input type="text" name="amount" value="{{ $coupon->amount }}" placeholder="0.00" class="form-control autonumeric" required="required">
						<span class="help-block"></span>
					</div>

					<div class="form-group">
						<label class="control-label">Type <span class="text-danger">*</span></label>
						<select name="type" class="form-control">
							<option value="1" {{ $coupon->type == 1 ? 'selected=selected' : '' }}>Percentage</option>
							<option value="2" {{ $coupon->type == 2 ? 'selected=selected' : '' }}>Fixed</option>
						</select>
						<span class="help-block"></span>
					</div>

					<div class="form-group">
						<label class="control-label">Valid Thru</label>
						<input type="text" name="valid_thru" value="{{ $coupon->valid_thru }}" placeholder="yyyy-mm-dd" class="form-control datepicker">
					</div>
				</div>

				<div class="col-md-6">
					<div class="form-group">
						<label class="control-label">products</label>
						<select name="products[]" class="select2 form-control" multiple="multiple" data-placeholder="Specific Categories">
							@foreach ($products as $data_product)
							<option value="{{ $data_product->id }}" {{ in_array($data_product->id, explode(',', $coupon->products)) ? 'selected=selected' : '' }}>{{ $data_product->name }}</option>
							@endforeach
						</select>
					</div>

					<div class="form-group">
						<label class="control-label">categories</label>
						<select name="categories[]" class="select2 form-control" multiple="multiple" data-placeholder="Specific Categories Exception">
							@foreach ($categories as $data_category)
							<option value="{{ $data_category->id }}" {{ in_array($data_category->id, explode(',', $coupon->categories)) ? 'selected=selected' : '' }}>{{ $data_category->name }}</option>
							@endforeach
						</select>
					</div>

					<div class="form-group">
						<label class="control-label">Exclude Products</label>
						<select name="exclude_products[]" class="select2 form-control" multiple="multiple" data-placeholder="Specific Products">
							@foreach ($products as $data_product)
							<option value="{{ $data_product->id }}" {{ in_array($data_product->id, explode(',', $coupon->exclude_products)) ? 'selected=selected' : '' }}>{{ $data_product->name }}</option>
							@endforeach
						</select>
					</div>

					<div class="form-group">
						<label class="control-label">Exclude Categories</label>
						<select name="exclude_categories[]" class="select2 form-control" multiple="multiple" data-placeholder="Specific Products Exception">
							@foreach ($categories as $data_category)
							<option value="{{ $data_category->id }}" {{ in_array($data_category->id, explode(',', $coupon->exclude_categories)) ? 'selected=selected' : '' }}>{{ $data_category->name }}</option>
							@endforeach
						</select>
					</div>

				</div>

				<div class="col-md-12">
					<hr>
				</div>

				<div class="col-md-4">
					<div class="form-group">
						<label class="control-label">Limit User</label>
						<input type="text" name="limit_user" value="{{ $coupon->limit_user }}" class="form-control number" placeholder="0">
					</div>

					<div class="form-group">
						<label class="control-label">Limit Coupon</label>
						<input type="text" name="limit_coupon" value="{{ $coupon->limit_coupon }}" class="form-control number" placeholder="0">
					</div>

					<div class="form-group">
						<label class="control-label">Limit Item</label>
						<input type="text" name="limit_item" value="{{ $coupon->limit_item }}" class="form-control number" placeholder="0">
					</div>
				</div>

				<div class="col-md-4">
					<div class="form-group">
						<label class="control-label">Min Spend</label>
						<input type="text" name="minimum_spend" value="{{ $coupon->minimum_spend }}" class="form-control autonumeric" placeholder="0.00">
					</div>

					<div class="form-group">
						<label class="control-label">Max Spend</label>
						<input type="text" name="maximum_spend" value="{{ $coupon->maximum_spend }}" class="form-control autonumeric" placeholder="0.00">
					</div>

				</div>

				<div class="col-md-4">

					<label class="fancy-checkbox custom-bgcolor-green">
						<input type="checkbox" name="individual_use_only" {{ $coupon->individual_use_only == 1 ? 'checked=checked' : '' }} value="1">
						<span>Individual Use Only</span>
					</label>
					<br>
					<label class="fancy-checkbox custom-bgcolor-green">
						<input type="checkbox" name="exclude_sale_items" {{ $coupon->exclude_sale_items == 1 ? 'checked=checked' : '' }} value="1">
						<span>Exclude Sale Items</span>
					</label>
					<br>
					<label class="fancy-checkbox custom-bgcolor-green">
						<input type="checkbox" name="allow_free_shipping" {{ $coupon->allow_free_shipping == 1 ? 'checked=checked' : '' }} value="1">
						<span>Allow Free Shipping</span>
					</label>

				</div>

				<div class="col-md-12">
					<hr>
					<div class="pull-right">
						<button class="btn btn-default" type="reset">Reset</button>
						<button class="btn btn-primary" type="submit">Save Changes</button>
					</div>
				</div>

			</div>
		</div>
	</div>
</form>

@endsection

@push('js')
<script src="{{ url('assets/backend/pages/js/coupon-add-edit.js') }}"></script>
@endpush

resources/views/backend/pages/coupon/index.blade.php
@extends('backend.layouts.master')
@section('title')
Coupon
@endsection
@section('content')

<div class="section-heading">
	<h1 class="page-title">Coupon</h1>
	<div class="pull-right">
		<a href="{{ route('coupon.create') }}" class="btn btn-primary">Add new</a>
	</div>
</div>


<div class="row">
	<div class="col-md-12">
		<div class="panel-content">
			<table class="table table-bordered" id="tbl-coupon">
				<thead>
					<tr>
						<th>Code</th>
						<th>Amount</th>
						<th>Type</th>
						<th>Valid Thru</th>
						<th>Options</th>
					</tr>
				</thead>
			</table>
		</div>
	</div>
</div>

<!-- Modal for question -->
<div class="modal fade in" tabindex="-1" role="dialog" id="modal-delete-confirm">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <button aria-hidden="true" data-dismiss="modal" class="close" type="button">×</button>
                <h4 class="modal-title">Are you sure</h4>
            </div>
            <div class="modal-body">Selected data will be destroyed, are you sure?</div>
            <div class="modal-footer">
                <button type="button" id="btn-confirm" class="btn btn-primary btn-sm">Yes</button>
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">No (Cancel)</button>
            </div>
        </div>
    </div>
</div>

@endsection

@push('js')

<script src="{{ url('assets/backend/pages/js/coupon.js') }}"></script>

@if (session()->has('message'))
<script type="text/javascript">
	show_notification("{{ session('title') }}","{{ session('type') }}","{{ session('message') }}");
</script>
@endif

@endpush

resources/views/backend/pages/coupon/show.blade.php
@extends('backend.layouts.master')
@section('title')
{{ $coupon->code }}
@endsection
@section('content')

<div class="section-heading">
	<h1 class="page-title">{{ $coupon->code }}</h1>
	<div class="pull-right">
		<a href="{{ route('coupon.index') }}" class="btn btn-primary">Back</a>
	</div>
</div>

<div class="row">
	<div class="col-md-12">
		<div class="panel-content">
			<table class="table table-primary table-custom">
				<tr class="info">
					<td colspan="2">Coupon Information</td>
					<td colspan="2">Usage Restriction</td>
				</tr>
				<tr>
					<td><strong>Discount Type</strong></td>
					<td>{{ $coupon->type == 1 ? 'Percentage' : 'Fixed' }}</td>

					<td><strong>Minimum Spend</strong></td>
					<td>{{ number_format($coupon->minimum_spend, 2, '.', ',') }}</td>
				</tr>

				<tr>
					<td><strong>Coupon Amount</strong></td>
					<td>{{ number_format($coupon->amount, 2, '.', ',') }}</td>

					<td><strong>Maximum Spend</strong></td>
					<td>{{ number_format($coupon->maximum_spend, 2, '.', ',') }}</td>
				</tr>

				<tr>
					<td><strong>Allow Free Shipping</strong></td>
					<td>{{ $coupon->allow_free_shipping == 1 ? 'Yes' : 'No' }}</td>

					<td><strong>Individual use only</strong></td>
					<td>{{ $coupon->individual_use_only == 1 ? 'Yes' : 'No' }}</td>
				</tr>

				<tr>
					<td><strong>Coupon Expire Date</strong></td>
					<td>{{ $coupon->valid_thru }}</td>

					<td><strong>Exclude sale item</strong></td>
					<td>{{ $coupon->exclude_sale_item == 1 ? 'Yes' : 'No' }}</td>
				</tr>

				<tr>
					<td colspan="2" class="info">Usage Limits</td>

					<td style="border-right: none !important"><strong>Products</strong></td>
					<td>{{ App\Product::whereIn('id', explode(',', $coupon->products))->pluck('name')->implode(', ') }}</td>
				</tr>

				<tr>
					<td><strong>Usage Limit Per Coupon</strong></td>
					<td>{{ $coupon->limit_user }}</td>

					<td><strong>Products Exclude</strong></td>
					<td>{{ App\Product::whereIn('id', explode(',', $coupon->exclude_products))->pluck('name')->implode(', ') }}</td>
				</tr>

				<tr>
					<td><strong>Usage Limit Per User</strong></td>
					<td>{{ $coupon->limit_coupon }}</td>

					<td><strong>Categories</strong></td>
					<td>{{ App\Category::whereIn('id', explode(',', $coupon->categories))->pluck('name')->implode(', ') }}</td>
				</tr>

				<tr>
					<td><strong>Usage Limit Per Item</strong></td>
					<td>{{ $coupon->limit_item }}</td>

					<td><strong>Categories Exclude</strong></td>
					<td>{{ App\Category::whereIn('id', explode(',', $coupon->exclude_categories))->pluck('name')->implode(', ') }}</td>
				</tr>

			</table>
		</div>
	</div>
</div>

@endsection